# QPixmap Class Reference

### [com.trolltech.qt.gui package]

Inherits QPaintDevice.

### Constructor

- void QPixmap()
- void QPixmap(QPixmap arg__1)
- void QPixmap(QSize arg__1)
- void QPixmap(String fileName, char format, ImageConversionFlags flags)
- void QPixmap(char xpm)
- void QPixmap(int w, int h)

### Constructor Properties

- prototype: The QPixmap prototype object
- int defaultDepth()
- QPixmap fromImage(QImage image, ImageConversionFlags flags)
- QPixmap fromImageReader(QImageReader imageReader, ImageConversionFlags flags)
- QPixmap grabWidget(QWidget widget, QRect rect)
- QPixmap grabWindow(WId arg__1, int x, int y, int w, int h)
- QMatrix trueMatrix(QMatrix m, int w, int h)

### Prototype Object Properties

- QPixmap alphaChannel()
- qint64 cacheKey()
- bool convertFromImage(QImage img, ImageConversionFlags flags)
- QPixmap copy(QRect rect)
- QBitmap createHeuristicMask(bool clipTight)
- QBitmap createMaskFromColor(QColor maskColor)
- void fill(QColor fillColor)
- bool hasAlpha()
- bool hasAlphaChannel()
- bool isNull()
- bool isQBitmap()
- bool load(String fileName, char format, ImageConversionFlags flags)
- bool loadFromData(QByteArray data, char format, ImageConversionFlags flags)
- QBitmap mask()
- void readFrom(QDataStream arg__1)
- QRect rect()
- bool save(QIODevice device, char format, int quality)
- QPixmap scaled(QSize s, AspectRatioMode aspectMode, TransformationMode mode)
- QPixmap scaledToHeight(int h, TransformationMode mode)
- QPixmap scaledToWidth(int w, TransformationMode mode)
- void scroll(int dx, int dy, QRect rect, QRegion exposed)
- void setAlphaChannel(QPixmap arg__1)
- void setMask(QBitmap arg__1)
- QSize size()
- void swap(QPixmap other)
- QImage toImage()
- QPixmap transformed(QMatrix arg__1, TransformationMode mode)
- void writeTo(QDataStream arg__1)

### Instance Properties

QPixmap objects have no special properties beyond those inherited from the QPixmap prototype object.